Address SharingWho my address is shared with

Who my address is shared with

Active grants on the address. The owner (createdById) and admin always have full access and do NOT appear in the grant list; a grant only extends access

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/addresses/example_string/shares" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "subjectType": "user",
      "subjectUserId": "example_string",
      "subjectGroupId": "example_string",
      "targetType": "address",
      "targetAddressId": "123 Main St",
      "targetGroupId": "example_string",
      "role": "viewer",
      "canView": true,
      "canTransfer": true,
      "canCreateAddress": true,
      "grantorId": "example_string",
      "status": "active",
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z",
      "subject": {
        "id": "example_string",
        "name": "John Doe",
        "username": "John Doe",
        "image": "example_string",
        "color": "example_string",
        "emoji": "example_string"
      },
      "subjectGroup": {
        "id": "example_string",
        "name": "John Doe"
      }
    }
  ]
}
GET
/api/v1/vaults/{code}/addresses/{id}/shares
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

itemsarray
Required